libglom-1.22: Glom::LayoutItem_Header Class Reference

libglom-1.22 1.22.0

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glom::LayoutItem_Header Class Reference
Inheritance diagram for Glom::LayoutItem_Header:
[legend]
Collaboration diagram for Glom::LayoutItem_Header:
[legend]

## Public Member Functions
| LayoutItem_Header ()
| LayoutItem_Header (const LayoutItem_Header& src)
LayoutItem_Header& | operator= (const LayoutItem_Header& src)
virtual | ~LayoutItem_Header ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).
Public Member Functions inherited from Glom::LayoutGroup
| LayoutGroup ()
| LayoutGroup (const LayoutGroup& src)
LayoutGroup& | operator= (const LayoutGroup& src)
virtual | ~LayoutGroup ()
bool | has_field (const Glib::ustring& parent_table_name, const Glib::ustring& table_name, const Glib::ustring& field_name) const
| Discover whether the layout group contains the specified field (from the current table).
bool | has_any_fields () const
| Discover whether the layout group contains any fields.
void | add_item (const sharedptr< LayoutItem >& item)
| Add the item to the end of the list.
void | add_item (const sharedptr< LayoutItem >& item, const sharedptr< const LayoutItem >& position)
| Add the item after the specified existing item.
void | remove_item (const sharedptr< LayoutItem >& item)
| Remove a layout item from the group.
void | remove_field (const Glib::ustring& parent_table_name, const Glib::ustring& table_name, const Glib::ustring& field_name)
| Remove any instance of the field from the layout.
virtual void | change_field_item_name (const Glib::ustring& table_name, const Glib::ustring& field_name, const Glib::ustring& field_name_new)
virtual void | change_related_field_item_name (const Glib::ustring& table_name, const Glib::ustring& field_name, const Glib::ustring& field_name_new)
virtual void | remove_relationship (const sharedptr< const Relationship >& relationship)
| Remove any use of the relationship from the layout.
void | remove_all_items ()
double | get_border_width () const
void | set_border_width (double border_width)
guint | get_items_count () const
guint | get_columns_count () const
void | set_columns_count (guint columns_count)
type_list_items | get_items ()
type_list_const_items | get_items () const
type_list_const_items | get_items_recursive () const
| Get the items recursively, depth-first, not returning any groups.
type_list_items | get_items_recursive ()
| Get the items recursively, depth-first, not returning any groups.
type_list_const_items | get_items_recursive_with_groups () const
| Get the items recursively, depth-first, also returning the groups.
Public Member Functions inherited from Glom::LayoutItem
| LayoutItem ()
| LayoutItem (const LayoutItem& src)
LayoutItem& | operator= (const LayoutItem& src)
virtual | ~LayoutItem ()
bool | operator== (const LayoutItem& src) const
virtual bool | get_editable () const
virtual void | set_editable (bool val=true)
virtual Glib::ustring | get_layout_display_name () const
guint | get_display_width () const
void | set_display_width (guint value)
void | get_print_layout_position (double& x, double& y, double& width, double& height) const
| This is used only for the print layouts.
void | set_print_layout_position (double x, double y, double width, double height)
| This is used only for the print layouts.
void | set_print_layout_position_y (double y)
| This is used only for the print layouts.
void | set_print_layout_split_across_pages (bool split=true)
| This is used only for the print layouts.
bool | get_print_layout_split_across_pages () const
| This is used only for the print layouts.
Public Member Functions inherited from Glom::TranslatableItem
| TranslatableItem ()
| TranslatableItem (const TranslatableItem& src)
virtual | ~TranslatableItem ()
TranslatableItem& | operator= (const TranslatableItem& src)
bool | operator== (const TranslatableItem& src) const
bool | operator!= (const TranslatableItem& src) const
virtual void | set_name (const Glib::ustring& name)
| Set the non-translated identifier name.
virtual Glib::ustring | get_name () const
| Get the non-translated identifier name.
bool | get_name_not_empty () const
virtual Glib::ustring | get_title_or_name (const Glib::ustring& locale) const
virtual Glib::ustring | get_title (const Glib::ustring& locale) const
| Get the title's translation for the specified locale, falling back to the original text if there is no translation.
virtual Glib::ustring | get_title_original () const
| Get the title's original (non-translated, usually English) text.
Glib::ustring | get_title_translation (const Glib::ustring& locale, bool fallback=true) const
| Get the title's translation for the specified locale, optionally falling back to a locale of the same language, and then falling back to the original.
void | set_title (const Glib::ustring& title, const Glib::ustring& locale)
| Set the title's translation for the specified locale.
void | set_title_original (const Glib::ustring& title)
| Set the title's original (non-translated, usually English) text.
void | clear_title_in_all_locales ()
| Clear the original title and any translations of the title.
bool | get_has_translations () const
enumTranslatableItemType | get_translatable_item_type () const

## Additional Inherited Members
Public Types inherited from Glom::LayoutGroup
typedef std::vector< sharedptr < LayoutItem > > | type_list_items
typedef std::vector< sharedptr < const LayoutItem > > | type_list_const_items
Static Public Member Functions inherited from Glom::TranslatableItem
static Glib::ustring | get_translatable_type_name (enumTranslatableItemType item_type)
static Glib::ustring | get_translatable_type_name_nontranslated (enumTranslatableItemType item_type)
| The non-translated name is used for the context in gettext .po files.
Public Attributes inherited from Glom::LayoutGroup
type_list_items | m_list_items
Protected Attributes inherited from Glom::TranslatableItem
enumTranslatableItemType | m_translatable_item_type

## Constructor & Destructor Documentation

Glom::LayoutItem_Header::LayoutItem_Header | ( |  | ) |

Glom::LayoutItem_Header::LayoutItem_Header | ( | const LayoutItem_Header& | src | ) |

virtual Glom::LayoutItem_Header::~LayoutItem_Header | ( |  | ) |
| virtual

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_Header::clone | ( |  | ) | const
| virtual

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_Header::get_part_type_name | ( |  | ) | const
| virtual

Reimplemented from Glom::LayoutGroup.

virtual Glib::ustring Glom::LayoutItem_Header::get_report_part_id | ( |  | ) | const
| virtual

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutGroup.

LayoutItem_Header& Glom::LayoutItem_Header::operator= | ( | const LayoutItem_Header& | src | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/report_parts/layoutitem_header.h